%define		_class		LiveUser
%define		_subclass	Admin
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear



Name:		php-pear-%{upstream_name}
Version:	0.4.0
Release:	%mkrel 9
Summary:	User authentication and permission management framework
License:	LGPL
Group:		Development/PHP
URL:		http://pear.php.net/package/LiveUser_Admin/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-LiveUser >= 0.16.12
BuildArch:	noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}


%description
LiveUser_Admin is meant to be used with the LiveUser package.
  It is composed of all the classes necessary to administrate
  data used by LiveUser.

  You'll be able to add/edit/delete/get things like:
  * Rights
  * Users
  * Groups
  * Areas
  * Applications
  * Subgroups
  * ImpliedRights

  And all other entities within LiveUser.

  At the moment we support the following storage containers:
  * PEAR::DB
  * PEAR::MDB
  * PEAR::MDB2
  * PECL::PDO

  But it takes no time to write up your own storage container,
  so if you like to use native mysql functions straight, then it's possible
  to do so in under a hour!

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/LiveUser_Admin.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/LiveUser_Admin.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/LiveUser_Admin
fi

%files
%doc docs/LiveUser_Admin/*
%{peardir}/*
%{xmldir}/LiveUser_Admin.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-9.mga8
+ Revision: 1499070
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-8.mga7
+ Revision: 1273373
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-7.mga6
+ Revision: 950475
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 0.4.0-6.mga5
+ Revision: 795675
- exclude deps from doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 742019
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.4.0-4.mga5
+ Revision: 734068
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 687322
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 528110
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.4.0-1.mga4
+ Revision: 443461
- upgrade to version 0.4.0
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.3.9-8.mga3
+ Revision: 376803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.3.9-7.mga1
+ Revision: 43141
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-LiveUser_Admin


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-7mdv2011.0
+ Revision: 613699
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.9-6mdv2010.1
+ Revision: 473553
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.9-5mdv2010.0
+ Revision: 441253
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-4mdv2009.1
+ Revision: 322273
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-3mdv2009.0
+ Revision: 236906
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-2mdv2008.0
+ Revision: 53917
- put the files where they belong to fix deps

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-1mdv2008.0
+ Revision: 15683
- 0.3.9


* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.8-2mdv2007.1
+ Revision: 144929
- revert to 0.3.8 due to version freeze
- 0.3.9
- package some forgotten files

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.8-1mdv2007.0
+ Revision: 81995
- Import php-pear-LiveUser_Admin

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.8-1mdk
- 0.3.8

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.6-1mdk
- 0.3.6
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- initial Mandriva package (PLD import)

